namespace IrrlichtNetSwig
{
    public partial class arrayS3DVertexTangents
    {
        public S3DVertexTangents this[uint index]
        {
            get
            {
                if (index < 0 || size() < index)
                {
                    throw new System.IndexOutOfRangeException();
                }
                return getValue(index);
            }
            set
            {
                if (index < 0 || size() < index)
                {
                    throw new System.IndexOutOfRangeException();
                }
                setValue(index, value);
            }
        }
        public static implicit operator arrayS3DVertexTangents(S3DVertexTangents[] other)
        {
            var arr = new arrayS3DVertexTangents((uint)other.Length);
            for (uint i = 0; i < other.Length; i++)
            {
                arr.push_back(other[i]);
            }
            return arr;
        }
        public S3DVertexTangents[] ToArray()
        {
            var arr = new S3DVertexTangents[size()];
            for (uint i = 0; i < size(); i++)
            {
                arr[i] = this.getValue(i);
            }
            return arr;
        }
    }
}